module Sundials_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libsundials_arkode
const libsundials_arkode_path = "/usr/lib/libsundials_arkode.so.6"
libsundials_arkode_handle = C_NULL
get_libsundials_arkode_path() = libsundials_arkode_path
const libsundials_arkode = "libsundials_arkode.so.6"
export libsundials_cvode
const libsundials_cvode_path = "/usr/lib/libsundials_cvode.so.7"
libsundials_cvode_handle = C_NULL
get_libsundials_cvode_path() = libsundials_cvode_path
const libsundials_cvode = "libsundials_cvode.so.7"
export libsundials_cvodes
const libsundials_cvodes_path = "/usr/lib/libsundials_cvodes.so.7"
libsundials_cvodes_handle = C_NULL
get_libsundials_cvodes_path() = libsundials_cvodes_path
const libsundials_cvodes = "libsundials_cvodes.so.7"
export libsundials_ida
const libsundials_ida_path = "/usr/lib/libsundials_ida.so.7"
libsundials_ida_handle = C_NULL
get_libsundials_ida_path() = libsundials_ida_path
const libsundials_ida = "libsundials_ida.so.7"
export libsundials_idas
const libsundials_idas_path = "/usr/lib/libsundials_idas.so.6"
libsundials_idas_handle = C_NULL
get_libsundials_idas_path() = libsundials_idas_path
const libsundials_idas = "libsundials_idas.so.6"
export libsundials_kinsol
const libsundials_kinsol_path = "/usr/lib/libsundials_kinsol.so.7"
libsundials_kinsol_handle = C_NULL
get_libsundials_kinsol_path() = libsundials_kinsol_path
const libsundials_kinsol = "libsundials_kinsol.so.7"
export libsundials_nvecmanyvector
const libsundials_nvecmanyvector_path = "/usr/lib/libsundials_nvecmanyvector.so.7"
libsundials_nvecmanyvector_handle = C_NULL
get_libsundials_nvecmanyvector_path() = libsundials_nvecmanyvector_path
const libsundials_nvecmanyvector = "libsundials_nvecmanyvector.so.7"
export libsundials_nvecserial
const libsundials_nvecserial_path = "/usr/lib/libsundials_nvecserial.so.7"
libsundials_nvecserial_handle = C_NULL
get_libsundials_nvecserial_path() = libsundials_nvecserial_path
const libsundials_nvecserial = "libsundials_nvecserial.so.7"
export libsundials_sunlinsolband
const libsundials_sunlinsolband_path = "/usr/lib/libsundials_sunlinsolband.so.5"
libsundials_sunlinsolband_handle = C_NULL
get_libsundials_sunlinsolband_path() = libsundials_sunlinsolband_path
const libsundials_sunlinsolband = "libsundials_sunlinsolband.so.5"
export libsundials_sunlinsoldense
const libsundials_sunlinsoldense_path = "/usr/lib/libsundials_sunlinsoldense.so.5"
libsundials_sunlinsoldense_handle = C_NULL
get_libsundials_sunlinsoldense_path() = libsundials_sunlinsoldense_path
const libsundials_sunlinsoldense = "libsundials_sunlinsoldense.so.5"
export libsundials_sunlinsolklu
const libsundials_sunlinsolklu_path = "/usr/lib/libsundials_sunlinsolklu.so.5"
libsundials_sunlinsolklu_handle = C_NULL
get_libsundials_sunlinsolklu_path() = libsundials_sunlinsolklu_path
const libsundials_sunlinsolklu = "libsundials_sunlinsolklu.so.5"
export libsundials_sunlinsollapackband
const libsundials_sunlinsollapackband_path = "/usr/lib/libsundials_sunlinsollapackband.so.5"
libsundials_sunlinsollapackband_handle = C_NULL
get_libsundials_sunlinsollapackband_path() = libsundials_sunlinsollapackband_path
const libsundials_sunlinsollapackband = "libsundials_sunlinsollapackband.so.5"
export libsundials_sunlinsollapackdense
const libsundials_sunlinsollapackdense_path = "/usr/lib/libsundials_sunlinsollapackdense.so.5"
libsundials_sunlinsollapackdense_handle = C_NULL
get_libsundials_sunlinsollapackdense_path() = libsundials_sunlinsollapackdense_path
const libsundials_sunlinsollapackdense = "libsundials_sunlinsollapackdense.so.5"
export libsundials_sunlinsolpcg
const libsundials_sunlinsolpcg_path = "/usr/lib/libsundials_sunlinsolpcg.so.5"
libsundials_sunlinsolpcg_handle = C_NULL
get_libsundials_sunlinsolpcg_path() = libsundials_sunlinsolpcg_path
const libsundials_sunlinsolpcg = "libsundials_sunlinsolpcg.so.5"
export libsundials_sunlinsolspbcgs
const libsundials_sunlinsolspbcgs_path = "/usr/lib/libsundials_sunlinsolspbcgs.so.5"
libsundials_sunlinsolspbcgs_handle = C_NULL
get_libsundials_sunlinsolspbcgs_path() = libsundials_sunlinsolspbcgs_path
const libsundials_sunlinsolspbcgs = "libsundials_sunlinsolspbcgs.so.5"
export libsundials_sunlinsolspfgmr
const libsundials_sunlinsolspfgmr_path = "/usr/lib/libsundials_sunlinsolspfgmr.so.5"
libsundials_sunlinsolspfgmr_handle = C_NULL
get_libsundials_sunlinsolspfgmr_path() = libsundials_sunlinsolspfgmr_path
const libsundials_sunlinsolspfgmr = "libsundials_sunlinsolspfgmr.so.5"
export libsundials_sunlinsolspgmr
const libsundials_sunlinsolspgmr_path = "/usr/lib/libsundials_sunlinsolspgmr.so.5"
libsundials_sunlinsolspgmr_handle = C_NULL
get_libsundials_sunlinsolspgmr_path() = libsundials_sunlinsolspgmr_path
const libsundials_sunlinsolspgmr = "libsundials_sunlinsolspgmr.so.5"
export libsundials_sunlinsolsptfqmr
const libsundials_sunlinsolsptfqmr_path = "/usr/lib/libsundials_sunlinsolsptfqmr.so.5"
libsundials_sunlinsolsptfqmr_handle = C_NULL
get_libsundials_sunlinsolsptfqmr_path() = libsundials_sunlinsolsptfqmr_path
const libsundials_sunlinsolsptfqmr = "libsundials_sunlinsolsptfqmr.so.5"
export libsundials_sunmatrixband
const libsundials_sunmatrixband_path = "/usr/lib/libsundials_sunmatrixband.so.5"
libsundials_sunmatrixband_handle = C_NULL
get_libsundials_sunmatrixband_path() = libsundials_sunmatrixband_path
const libsundials_sunmatrixband = "libsundials_sunmatrixband.so.5"
export libsundials_sunmatrixdense
const libsundials_sunmatrixdense_path = "/usr/lib/libsundials_sunmatrixdense.so.5"
libsundials_sunmatrixdense_handle = C_NULL
get_libsundials_sunmatrixdense_path() = libsundials_sunmatrixdense_path
const libsundials_sunmatrixdense = "libsundials_sunmatrixdense.so.5"
export libsundials_sunmatrixsparse
const libsundials_sunmatrixsparse_path = "/usr/lib/libsundials_sunmatrixsparse.so.5"
libsundials_sunmatrixsparse_handle = C_NULL
get_libsundials_sunmatrixsparse_path() = libsundials_sunmatrixsparse_path
const libsundials_sunmatrixsparse = "libsundials_sunmatrixsparse.so.5"
export libsundials_sunnonlinsolfixedpoint
const libsundials_sunnonlinsolfixedpoint_path = "/usr/lib/libsundials_sunnonlinsolfixedpoint.so.4"
libsundials_sunnonlinsolfixedpoint_handle = C_NULL
get_libsundials_sunnonlinsolfixedpoint_path() = libsundials_sunnonlinsolfixedpoint_path
const libsundials_sunnonlinsolfixedpoint = "libsundials_sunnonlinsolfixedpoint.so.4"
export libsundials_sunnonlinsolnewton
const libsundials_sunnonlinsolnewton_path = "/usr/lib/libsundials_sunnonlinsolnewton.so.4"
libsundials_sunnonlinsolnewton_handle = C_NULL
get_libsundials_sunnonlinsolnewton_path() = libsundials_sunnonlinsolnewton_path
const libsundials_sunnonlinsolnewton = "libsundials_sunnonlinsolnewton.so.4"
export libsundials_core
const libsundials_core_path = "/usr/lib/libsundials_core.so.7"
libsundials_core_handle = C_NULL
get_libsundials_core_path() = libsundials_core_path
const libsundials_core = "libsundials_core.so.7"
function __init__()
    global libsundials_arkode_handle = dlopen(libsundials_arkode_path)
    global libsundials_cvode_handle = dlopen(libsundials_cvode_path)
    global libsundials_cvodes_handle = dlopen(libsundials_cvodes_path)
    global libsundials_ida_handle = dlopen(libsundials_ida_path)
    global libsundials_idas_handle = dlopen(libsundials_idas_path)
    global libsundials_kinsol_handle = dlopen(libsundials_kinsol_path)
    global libsundials_nvecmanyvector_handle = dlopen(libsundials_nvecmanyvector_path)
    global libsundials_nvecserial_handle = dlopen(libsundials_nvecserial_path)
    global libsundials_sunlinsolband_handle = dlopen(libsundials_sunlinsolband_path)
    global libsundials_sunlinsoldense_handle = dlopen(libsundials_sunlinsoldense_path)
    global libsundials_sunlinsolklu_handle = dlopen(libsundials_sunlinsolklu_path)
    global libsundials_sunlinsollapackband_handle = dlopen(libsundials_sunlinsollapackband_path)
    global libsundials_sunlinsollapackdense_handle = dlopen(libsundials_sunlinsollapackdense_path)
    global libsundials_sunlinsolpcg_handle = dlopen(libsundials_sunlinsolpcg_path)
    global libsundials_sunlinsolspbcgs_handle = dlopen(libsundials_sunlinsolspbcgs_path)
    global libsundials_sunlinsolspfgmr_handle = dlopen(libsundials_sunlinsolspfgmr_path)
    global libsundials_sunlinsolspgmr_handle = dlopen(libsundials_sunlinsolspgmr_path)
    global libsundials_sunlinsolsptfqmr_handle = dlopen(libsundials_sunlinsolsptfqmr_path)
    global libsundials_sunmatrixband_handle = dlopen(libsundials_sunmatrixband_path)
    global libsundials_sunmatrixdense_handle = dlopen(libsundials_sunmatrixdense_path)
    global libsundials_sunmatrixsparse_handle = dlopen(libsundials_sunmatrixsparse_path)
    global libsundials_sunnonlinsolfixedpoint_handle = dlopen(libsundials_sunnonlinsolfixedpoint_path)
    global libsundials_sunnonlinsolnewton_handle = dlopen(libsundials_sunnonlinsolnewton_path)
    global libsundials_core_handle = dlopen(libsundials_core_path)
end
end
